Application: gvSIG desktop - gvSIG bugs #4244
Error en el geoproceso "Comprobar coherencia de sentidos"
06/24/2016 08:46 AM - Lluis Marqués

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Diaz Carsi

Category: Geoprocess

Target version: 2.3.0-2439 (rev. org.gvsig.desktop-2.0.14b)

Severity: Minor Add-on version:

gvSIG version: 2.3.0 Add-on build:

gvSIG build: 2425 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: Yes Hito:

Add-on name: Unknown

Description

Al ejecutar el geoproceso "Comprobar coherencia de sentidos" salta el siguiente mensaje de error:
es.unex.sextante.exceptions.WrongParameter|DException: Wrong parameter ID exception

Y latraza en el LOG es:

WARN [Thread-12] (SextanteLogHandler.java:37) -
java.util.concurrent.ExecutionException: es.unex.sextante.exceptions.WrongParameterIDException: Wrong parameter ID
exception
at java.util.concurrent.FutureTask.report(FutureTask.java:122)
at java.util.concurrent.FutureTask.get(FutureTask.java:188)
at es.unex.sextante.gui.core.GeoAlgorithmExecutors$1.run(GeoAlgorithmExecutors.java:53)
at java.lang.Thread.run(Thread.java:745)
Caused by: es.unex.sextante.exceptions.WrongParameterIDException: Wrong parameter ID exception
at es.unex.sextante.core.ParametersSet.getParameter(ParametersSet.java:824)
at es.unex.sextante.core.ParametersSet.getParameterValueAsInt(ParametersSet.java:886)
at

es.unex.sextante.topology.checkLineDirectionCoherence.CheckLineDirectionCoherenceAlgorithm.processAlgorithm(CheckLineDire

eDirectionCoherenceAlgorithm.java:76)
at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:227)
at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:173)
at es.unex.sextante.core.ProcessTask.call(ProcessTask.java:59)
at es.unex.sextante.core.ProcessTask.call(ProcessTask.java:13)
at java.util.concurrent.FutureTask.run(FutureTask.java:262)
at java.util.concurrent. ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
at java.util.concurrent. ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
... 1 more

Associated revisions

Revision 194 - 07/11/2016 02:28 PM - Francisco Diaz Carsi

refs #4244: Fixed CheckLineDirectionCoherenceAlgorithm
Revision 871 - 07/11/2016 02:53 PM - Francisco Diaz Carsi

refs #4244: Updated toolbox version

History

#1 - 06/24/2016 08:54 AM - Lluis Marqués

Al parecer el algoritmo espera tres parametros y solo se pueden definir dos desde el interfaz de usuario. Falta un parametro en el interfaz de usuario
que permita definir un campo identificador de la capa de lineas seleccionada que permita agrupar fenémenos para ejecutar el algoritmo.

#2 - 06/24/2016 10:43 AM - Lluis Marqués
- Has patch set to Yes
- File checkLineDirectionPath.txt added

Afado parche.

#3 - 07/01/2016 12:59 PM - Daniel Martinez
- Target version set to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
- Assignee set to Francisco Diaz Carsi

#4 - 07/11/2016 03:21 PM - Francisco Diaz Carsi
- Status changed from New to Fixed

Tras aplicar el parche que adjunta Lluis (gracias Lluis) veo que el algoritmo tiene un error de bulto por el que no saca ninguna feature en la capa de

resultado.

Lo arreglo y voy descubriendo otros errores que provocaban que no se anadieran todas las features de la capa original a la capa de resultado y que
se anadieran muchas features duplicadas.

Los arreglo también.

Aun asi, veo que este algoritmo tiene alguna laguna, por ejemplo, para saber que una linea tiene continuidad con otra, solo comprueba que los
extremos estan dentro de la tolerancia ¢y si los dos extremos estan dentro de la tolerancia? No comprueba cual de ellos es el mas cercano con lo que
intuyo que puede dar resultados no deseados.

En fin, creo que es un algoritmo que deberiamos revisar.

#5 - 07/25/2016 12:09 PM - Joaquin del Cerro Murciano

- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2439 (rev. org.gvsig.desktop-2.0.145)

#6 - 07/26/2016 02:06 PM - Alvaro Anguix
- Status changed from Fixed to Closed

Files

checkLineDirectionPath.txt 2.58 KB 06/24/2016 Lluis Marqués
